{ pkgs, legacyPackages, ... }:
with pkgs;

let
  testStdcxx = pkgs.stdenv.mkDerivation {
    name = "test-stdcxx";
    inherit (pkgs.genodeSources) version;
    src = pkgs.genodeSources;
    buildPhase = ''
      mkdir -p $out
      $CXX -o $out/test-stdcxx \
        repos/libports/src/test/stdcxx/main.cc
    '';
  };
in {
  name = "stdcxx";
  machine = {
    config = ./config.dhall;
    inputs = map pkgs.genodeSources.depot [
      "libc"
      "posix"
      "vfs"
      "stdcxx"
      "test-stdcxx"
    ];
    # ++ [ testStdcxx ];
  };
}
